export default function createDcSolutionProjectBuilder(): import("..").IProjectBuilder;
export declare const plugins: {
    template: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/template").PluginConfig>;
    vueCommonDeps: import("..").BuilderComponentPluginFactory<unknown>;
    esmodule: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/esmodule").PluginConfig>;
    containerVue: import("..").BuilderComponentPluginFactory<unknown>;
    apiImport: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/apiImport").PluginConfig>;
    containerInitVariable: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/containerInitVariable").PluginConfig>;
    dataSourceMap: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/dataSourceMap").PluginConfig>;
    containerLifeCycle: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/containerLifeCycle").PluginConfig>;
    containerMethod: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/containerMethod").PluginConfig>;
    vuejs3: {
        template: import("..").IProjectTemplate;
        plugins: {
            packageJSON: import("..").BuilderComponentPluginFactory<import("../plugins/project/framework/vuejs3/plugins/packageJSON").IceJsPackageJsonPluginConfig>;
            router: import("..").BuilderComponentPluginFactory<unknown>;
            main: import("..").BuilderComponentPluginFactory<import("../plugins/component/vue/template").PluginConfig>;
            form: import("..").BuilderComponentPluginFactory<unknown>;
            hooks: import("..").BuilderComponentPluginFactory<unknown>;
        };
    };
};
